Name:           roxterm
Version:        3.14.3
Release:    1%{?dist}
Summary:        Terminal emulator

License:        GPLv2+
URL:            https://github.com/realh/roxterm
Source0:        https://github.com/realh/roxterm/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  dbus-glib-devel
BuildRequires:  docbook-style-xsl
BuildRequires:  gcc
BuildRequires:  gtk3-devel
BuildRequires:  vte291-devel
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate
BuildRequires:  /usr/bin/xsltproc

%description
ROXTerm is a terminal emulator intended to provide similar features to
gnome-terminal, based on the same VTE library. It is more configurable than
gnome-terminal and aimed more at "power" users who make heavy use of terminals.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/roxterm.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/roxterm.desktop

%files
%doc %{_pkgdocdir}
%license COPYING
%{_bindir}/roxterm
%{_bindir}/roxterm-config
%{_datadir}/metainfo/roxterm.metainfo.xml
%{_datadir}/applications/roxterm.desktop
%{_datadir}/roxterm/
%{_datadir}/icons/hicolor/scalable/apps/roxterm.svg
%{_mandir}/man1/roxterm*.1*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.14.3-1
- initial build
